# Aircox Streamer
This application handles interfacing Aircox with Liquidsoap:

- generate for each station liquidsoap configuration files;
- handle played diffusions, sounds files and tracks;
- launch program's diffusion from sound files;
- provide admin interface and API in order to control liquidsoap;

## Architecture
`aircox_streamer` Django application provides management command `streamer`, which
can be run in virtualenv from shell:  ``./manage.py streamer``.

This application allows to:
- launch Liquidsoap;
- generate config file and playlists: regular Django template file in `scripts/station.liq`;
- monitor what is being played and what has to be played using Telnet to communicate
    with Liquidsoap process;
