import './assets/styles.scss'
import './assets/admin.scss'
import './index.js'

import App from './app';
import {admin as components} from './components'
import Track from './track'

const AdminApp = {
    ...App,
    components: {...App.components, ...components},

    data() {
        return {
            ...super.data,
            Track,
        }
    }
}
export default AdminApp;


window.App = AdminApp
