import AAutocomplete from './AAutocomplete.vue'
import AEpisode from './AEpisode.vue'
import AList from './AList.vue'
import APage from './APage.vue'
import APlayer from './APlayer.vue'
import APlaylist from './APlaylist.vue'
import APlaylistEditor from './APlaylistEditor.vue'
import AProgress from './AProgress.vue'
import ASoundItem from './ASoundItem.vue'
import AStatistics from './AStatistics.vue'
import AStreamer from './AStreamer.vue'

/**
 * Core components
 */
export const base = {
    AAutocomplete, AEpisode, AList, APage, APlayer, APlaylist,
    AProgress, ASoundItem,
}

export default base

export const admin = {
    ...base,
    AStatistics, AStreamer, APlaylistEditor
}
